## conler 0.1.2

=== Makefile ===

GUI_CONLER = conler-gui
CLI_CONLER = conler-cli

CC = gcc
CFLAGS = -Wall -std=c99
ifeq ($(DEBUG), 1)
  CFLAGS += -g3 -DDEBUG -DCONFIG_PATH=\"conler.xml\"

endif
CONLER_GUI_CFLAGS = -DCONLER_GUI

COMMON_PKGS = libxml-2.0 glib-2.0
GUI_PKGS = gtk+-2.0
ifeq ($(shell /bin/grep RX /etc/osso_software_version | /usr/bin/wc -l), 1)
	CFLAGS += -DMAEMO
	COMMON_PKGS += libosso
    GUI_PKGS += hildon-1
	CLI_PKGS = gconf-2.0
endif
COMMON_CFLAGS = $(shell /usr/bin/pkg-config --cflags $(COMMON_PKGS))
COMMON_LIBS = $(shell /usr/bin/pkg-config --libs $(COMMON_PKGS))
GUI_CFLAGS = $(shell /usr/bin/pkg-config --cflags $(GUI_PKGS))
GUI_LIBS = $(shell /usr/bin/pkg-config --libs $(GUI_PKGS))
CLI_CFLAGS = $(shell /usr/bin/pkg-config --cflags $(CLI_PKGS))
CLI_LIBS = $(shell /usr/bin/pkg-config --libs $(CLI_PKGS))

COMMON_OBJS=common.o types.o
GUI_OBJS=conler-gui.o ui.o slots.o cellrendererpixbuf.o ui-utils.o
CLI_OBJS=conler-cli.o

# TODO: temporary w/a to avoid problems with building of
# 		cli and gui versions together
all: 
	make cli
	make gui

build: all

INSTALL=/usr/bin/install
DST=$(PREFIX)/$(DESTDIR)
DST_BIN=$(DST)/usr/bin
DST_ICONS_26=$(DST)/usr/share/icons/hicolor/26x26/hildon
DST_ICONS_40=$(DST)/usr/share/icons/hicolor/40x40/hildon
DST_ICONS_S=$(DST)/usr/share/icons/hicolor/scalable/hildon
install: build
	$(INSTALL) -g root -o root conler-cli $(DST)/usr/bin
	$(INSTALL) -g root -o root conler-gui $(DST)/usr/bin
	$(INSTALL) -g root -o root -m 644 data/icons/26x26/conler.png $(DST_ICONS_26)
	$(INSTALL) -g root -o root -m 644 data/icons/40x40/conler.png $(DST_ICONS_40)
	$(INSTALL) -g root -o root -m 644 data/icons/scalable/conler.png $(DST_ICONS_S)
	$(INSTALL) -g root -o root -m 644 data/conler.desktop $(DST)/usr/share/applications/hildon
	$(INSTALL) -g root -o root -m 644 data/com.thekondor.conler.service $(DST)/usr/share/dbus-1/services

deb: BUILD_DIR=/tmp/conler-$(shell /bin/date +%s)
deb: DEB_CONTROL=$(strip $(BUILD_DIR))/debian/control
deb:
	@/bin/cp -r $(shell /bin/pwd) $(BUILD_DIR)
	@/bin/find $(BUILD_DIR) -type d | /bin/grep '.svn$$' | /bin/xargs rm -rdf
	@/bin/echo "XB-Maemo-Icon-26:" >> $(DEB_CONTROL)
	@/usr/bin/openssl base64 < data/icons/26x26/conler.png | /usr/bin/sed -e 's/^/ /' >> $(DEB_CONTROL)
	@cd $(BUILD_DIR); /usr/bin/dpkg-buildpackage -rfakeroot
	@echo
	@echo "*** INFO: Check /tmp out for the build .deb package"
	@/bin/rm -rdf $(BUILD_DIR)


.PHONY: cli
cli: $(COMMON_OBJS) $(CLI_OBJS)
	@$(CC) $(COMMON_LIBS) $(CLI_LIBS) $(COMMON_OBJS) $(CLI_OBJS) -o $(CLI_CONLER)

$(COMMON_OBJS): $(call sources, $(COMMON_OBJS)) $(call headers, $(COMMON_OBJS))
	@$(CC) $(CFLAGS) $(COMMON_CFLAGS) -c $(call sources, $@) -o $@

$(CLI_OBJS): $(call sources, $(CLI_OBJS))
	@$(CC) $(CFLAGS) $(CLI_CFLAGS) $(COMMON_CFLAGS) -c $(call sources, $@) -o $@

.PHONY: gui
gui: CFLAGS += $(CONLER_GUI_CFLAGS)
gui: _gui $(COMMON_OBJS) $(GUI_OBJS)
	@$(CC) $(COMMON_LIBS) $(GUI_LIBS) $(COMMON_OBJS) $(GUI_OBJS) -o $(GUI_CONLER)

_gui:
	@rm -f $(COMMON_OBJS)
	
$(GUI_OBJS): $(call sources, $(GUI_OBJS)) $(call headers, $(GUI_OBJS))
	@$(CC) $(CFLAGS) $(COMMON_CFLAGS) $(GUI_CFLAGS) -c $(call sources, $@) -o $@


.PHONY: clean
clean:
	@rm -f $(COMMON_OBJS) $(CLI_OBJS) $(GUI_OBJS) $(GUI_CONLER) $(CLI_CONLER) core


sources=$(foreach o, $(basename $(1)), $(o).c)
headers=$(foreach o, $(basename $(1)), $(o).h)

=== src/Makefile ===

GUI_CONLER = conler-gui
CLI_CONLER = conler-cli

CC = gcc
CFLAGS = -Wall -std=c99
ifdef DEBUG
  CFG_PATH=conler.xml
  ifdef CONFIG_PATH
    CFG_PATH=$(CONFIG_PATH)
  endif
  CFLAGS += -g3 -ggdb -DDEBUG=$(DEBUG) -DCONFIG_PATH=\"$(CFG_PATH)\"

  ifndef PIXMAP_DIR
    PIXMAP_DIR=$(shell /bin/pwd)/../data/pixmaps
  endif
endif

CONLER_GUI_CFLAGS = -DCONLER_GUI

ifdef PIXMAP_DIR
  CONLER_GUI_CFLAGS += -DPIXMAP_DIR=\"$(PIXMAP_DIR)\"
endif

ifdef NOTIFY_MAJOR_CHANGES
  CONLER_GUI_CFLAGS += -DNOTIFY_MAJOR_CHANGES=TRUE
endif

COMMON_PKGS = libxml-2.0 glib-2.0
GUI_PKGS = gtk+-2.0
# If run in scratchbox, enable Maemo specific features
ifeq ($(shell /bin/grep RX /etc/osso_software_version | /usr/bin/wc -l), 1)
	CFLAGS += -DMAEMO
	COMMON_PKGS += libosso
	GUI_PKGS += hildon-1 hildon-help
	CLI_PKGS = gconf-2.0
endif
COMMON_CFLAGS = $(shell /usr/bin/pkg-config --cflags $(COMMON_PKGS))
COMMON_LIBS = $(shell /usr/bin/pkg-config --libs $(COMMON_PKGS))
GUI_CFLAGS = $(shell /usr/bin/pkg-config --cflags $(GUI_PKGS))
GUI_LIBS = $(shell /usr/bin/pkg-config --libs $(GUI_PKGS))
CLI_CFLAGS = $(shell /usr/bin/pkg-config --cflags $(CLI_PKGS))
CLI_LIBS = $(shell /usr/bin/pkg-config --libs $(CLI_PKGS))

COMMON_OBJS=common.o types.o
GUI_OBJS=conler-gui.o ui.o slots.o cellrendererpixbuf.o ui-utils.o
CLI_OBJS=conler-cli.o

# TODO: temporary w/a to avoid problems with building of
# 		cli and gui versions together
all: 
	make cli
	make gui

.PHONY: cli
cli: $(COMMON_OBJS) $(CLI_OBJS)
	@$(CC) $(COMMON_LIBS) $(CLI_LIBS) $(COMMON_OBJS) $(CLI_OBJS) -o $(CLI_CONLER)

$(COMMON_OBJS): $(call sources, $(COMMON_OBJS)) $(call headers, $(COMMON_OBJS))
	@$(CC) $(CFLAGS) $(COMMON_CFLAGS) -c $(call sources, $@) -o $@

$(CLI_OBJS): $(call sources, $(CLI_OBJS))
	@$(CC) $(CFLAGS) $(CLI_CFLAGS) $(COMMON_CFLAGS) -c $(call sources, $@) -o $@

.PHONY: gui
gui: CFLAGS += $(CONLER_GUI_CFLAGS)
gui: _gui $(COMMON_OBJS) $(GUI_OBJS)
	@$(CC) $(COMMON_LIBS) $(GUI_LIBS) $(COMMON_OBJS) $(GUI_OBJS) -o $(GUI_CONLER)

_gui:
	@rm -f $(COMMON_OBJS)
	
$(GUI_OBJS): $(call sources, $(GUI_OBJS)) $(call headers, $(GUI_OBJS))
	@$(CC) $(CFLAGS) $(COMMON_CFLAGS) $(GUI_CFLAGS) -c $(call sources, $@) -o $@


.PHONY: clean
clean:
	@rm -f $(COMMON_OBJS) $(CLI_OBJS) $(GUI_OBJS) $(GUI_CONLER) $(CLI_CONLER) core


sources=$(foreach o, $(basename $(1)), $(o).c)
headers=$(foreach o, $(basename $(1)), $(o).h)

=== debian/changelog ===
conler (0.1.2) unstable; urgency=low

  * Extended command options support:
     * Ability to enable/disable command
     * Ability to switch commands execution environment (non-root/superuser)
  * Fixed incorrect command launching in foreground
  * Package:
     * Application manager won't ask user anymore where
       to place conler's shortcut on upgrade
     * 'XB-Maemo-Display-Name' added to provide a pretty
       human-readable program name in Application Manager
     * Ability to show "Contains major changes" messagebox on upgrade
       (NOTIFY_MAJOR_CHANGES)
  * GUI:
     * Memleaks fixed
     * Promote/Demote command arrow cells removed (corresponding toolbuttons
       must be user instead)
     * Enhanced geometry of add/edit dialogs
     * Insertion of objects (AP/Command) is performed to the position
       after current selected one
     * Help added
     * Fixed incorrect (segmentation fault) exit on window destroy (delete event)
  * Documentation, FAQ added

 -- Andrew Sichevoi <k@thekondor.net>  Fri,  9 Jan 2009 13:01:24 +0300

conler (0.1.1) unstable; urgency=low

  * Package:
     * Application manager now asks user after installation
       where to place conler's shortcut
     * postinst script doesn't make dummy configuration file
       anymore if it doesn't exist
  * GUI:
     * If configuration file can't be read:
          - Descriprtive message is shown
          - New configuration file is created from the scratch
     * Scrolling added for AP and Cmd lists
     * AP List isn't collapsed anymore when it is empty
     * Captions added for AP and Cmd lists
     * Fixed Unexpected shutdowns of conler-gui

 -- Andrew Sichevoi <k@thekondor.net>  Sun, 16 Nov 2008 20:06:18 +0300

conler (0.1) unstable; urgency=low

  * Initial release

 -- Andrew Sichevoi <k@thekondor.net>  Sun,  9 Nov 2008 19:38:49 +0300

=== debian/control ===
Source: conler
Section: user/network
Priority: extra
Maintainer: Andrew Sichevoi <k@thekondor.net>
Build-Depends: debhelper (>= 5), libglib2.0-dev (>= 2.12.12), libxml2-dev (>= 2.6.27), libgtk2.0-dev (>= 2.10.12), libgconf2-dev (>= 2.6.10), libosso-dev (>= 2.13), libhildonhelp-dev (>= 1.9.6)
Standards-Version: 3.7.2

Package: conler
Architecture: any
#Depends: libxml2 (>= 2.6.27), libglib2 (>= 2.12), libgtk2 (>= 2.10), libgconf2-6 (>= 2.16), libosso1 (>= 2.13)
Description: Wi-Fi connection handler
 Conler is a simple application which allow to
 configure a sequence of commands which will be
 executed on connections with Wi-Fi access points.
 .
 Conler provides user with a handy GUI tool
 to make such configuration easy. User is free
 to add unlimited number of rules for each Access Point.
 .
 Latest version can be found at http://thekondor.net/conler
 Bug-reports and suggestions please send to conler-maemo @ thekondor.net
Homepage: http://thekondor.net/conler
Bugs: mailto:conler-maemo@thekondor.net
XB-Maemo-Display-Name: Wi-Fi Connection Handler
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAA
 AAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9gL
 CQw5JXT76uAAAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJTVBXgQ4XAAAK
 tUlEQVRIDQGqClX1AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAQAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABRrXCgAAAAJAAAAAAAAAAEAAADQ
 7JWk/gAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AQAAAAAAAAAAAAAAAAAAAAAAAAAAE2pbRgEBAUsAAABH////JwEBAQAAAAAAAAAA
 AP///wAAAAAAAQEB9f///8QBAQGk////ru2WpfYAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAQAAAAAAAAAAAAAAAAAAAAAUa1yA////fwEBAf8AAAABAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAP8AAAABAAAAAP///2cBAQGb7JWk/wAA
 AAAAAAAAAAAAAAAAAAAAAAAAAgAAAAAAAAAAAAAAAAAAAAAAAACxAQEBAAAAAAEA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAEAAAAAAAAA/wAAAJn/
 ///BFGtcEwAAAAAAAAAAAAAAAAAAAAAAAAAAAQAAAAAAAAAAAAAAAAAAAAAAAAAA
 E2pb/wAAAAABAQEAAAAA7/////EBAQH9AAAAAAAAAAEAAAAT////DwEBAQAAAAAA
 AAAAAAAAAAAAAAD/////3gEBATXslaTvAAAAAAAAAAAAAAAAAQAAAAAAAAAAAAAA
 AAAAAAAAAAAAE2pb2QEBARgAAABa////ybuh1e0BAQEOAAAAHQAAACW1JA/nojEX
 I+0JBKEAAAACAQEBAQAAAAAAAAAAAAAAAP///98AAAAk7Zal/gAAAAAAAAAABAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAbeyVpLoAAAAAzgswGQAAAMYAAAAuAAAACv//
 /wBL3PEAStvw8uEPB8lkTyMmAAEBFAAAAAAAAAAAAAAA/wEBASEAAACdAAAAYQAA
 AAAAAAAAAQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAADPDDEf////2QAAAAcA
 AAD/AQEBAQAAAAAAAAAA/////wEBAQHnDAXpXlIlCQABAQ0AAAABAAAAAP////8B
 AQEBAAAAEuyVpO8AAAAAAgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAADN
 AQEBBwEBAQABAQEBAAAAAAAAAAAAAAAAAQEBAQAAAAAZ9PsXacvo9v///wEAAAD/
 AAAAAAEBAQH///8A////sAAAAAAAAAAAAgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AM8MMT0AAAAT/////wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAD/Udbt
 FgT9/+IAAAABAAAAAAAAAAAAAAD/AAAAPhRrXCEAAAAAAgAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAACYAAAAAAQEBAQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAABAQEBACns9qz///8AAAAAAAAAAAABAQEBAQEBAAAAAEAAAAAAAgAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAANz///8AAAAA/wAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAD//////w75/cwBAQH+AAAAAAAAAAAAAAAA/////////ywA
 AAAAAgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAADH0z8EBAQHqAAAAAQAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAD///8BAAAA2MUeDt3////9AAAAAAAAAAAAAAAA
 AQEBAQEBARgAAAAAAgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAD///8yAAAA
 +QAAAP8AAAAAAAAAAAAAAAAAAAAAAAAAAP////8BAQHuAAAAMwEBAQAAAAAAAAAA
 AAAAAAAAAAAAAAAAAP///wAAAAAAAgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAy9dDl////MgAAALj///8A////AAAAAAD///8A////AAEBAasAAAAtMvXQ+f//
 /wQAAAABAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAMvXQ1gAAAEoAAAAAzgswTv///yMAAADWMvXQuQAAAAAA
 AAAAAAAAAAEBAUcAAAAEAAAAAAAAAAAAAAAAAAAA/wAAAPYAAAAABAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAABRrXAQAAACH////fe2WpfgAAAAAMvXQsgAAAAAAAAAA
 AAAAAAAAAAAAAAAAFGtcJ////34AAAAAAQEBAAAAAAAAAAAA////AQAAAMsAAAAA
 AgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAP4AAAA8AQEB8xNqW7kTaltgAAAA
 AAAAAAAAAAAAAAAAAAAAAAATalttAAAAxwEBAQAAAAD/AAAAAAAAAAAAAAD/AAAA
 AAEBAawAAAAAAQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAUa1yf////YAEB
 AQAAAAAAAAAAAP///+MAAAD3AQEBAv///yQBAQEA////AAEBAQAAAAAAAAAAAAAA
 AP8AAAAB////Ze2WpZwAAAAABAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAD/
 ///UAAAAAAAAAAAAAAAA/////wEBAR3///8AAAAAAAEBAQAAAAAAAQEBAAAAAAAA
 AAAAAAAA/wAAAAH///+W7ZalnAAAAAAAAAAAAgAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAC7AQEB/////wAAAAAAAQEBAQAAAAABAQEAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAA////+QAAAIrtlqVrAAAAAAAAAAAAAAAAAgAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAADtlqXS////BgAAAEQAAACuAAAA/AAAAAD///8A////
 AP///wAAAAAA////AP////j///+CAQEBD+yVpHcAAAAAAAAAAAAAAAAAAAAAAQAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABRr
 XBb///8aAAAAAQAAAAABAQEBAAAA7OyVpOIAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAPadvRTkC8KkAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




#CFLAGS = -Wall -g
#
#ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
#	CFLAGS += -O0
#else
#	CFLAGS += -O2
#endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/conler.sgml > conler.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/conler.
	$(MAKE) DESTDIR=$(CURDIR)/debian/conler install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## conler 0.1.3.1

=== Makefile ===
GUI_CONLER = conler-gui
CLI_CONLER = conler-cli

build:
	@cd src; make all

INSTALL=/usr/bin/install
DST=$(PREFIX)/$(DESTDIR)
DST_BIN=$(DST)/usr/bin
DST_ICONS_26=$(DST)/usr/share/icons/hicolor/26x26/hildon
DST_ICONS_40=$(DST)/usr/share/icons/hicolor/40x40/hildon
DST_ICONS_S=$(DST)/usr/share/icons/hicolor/scalable/hildon
DST_PIXMAP_DIR=$(DST)/usr/share/pixmaps/conler
install: build
	$(INSTALL) -g root -o root src/$(CLI_CONLER) $(DST)/usr/bin
	$(INSTALL) -g root -o root src/$(GUI_CONLER) $(DST)/usr/bin
	$(INSTALL) -g root -o root -m 744 data/run-wrapper.sh $(DST)/usr/bin/conler-run-wrapper.sh
	$(INSTALL) -g root -o root -m 644 data/icons/26x26/conler.png $(DST_ICONS_26)
	$(INSTALL) -g root -o root -m 644 data/icons/40x40/conler.png $(DST_ICONS_40)
	$(INSTALL) -g root -o root -m 644 data/icons/scalable/conler.png $(DST_ICONS_S)
	$(INSTALL) -g root -o root -m 644 data/pixmaps/*.png $(DST_PIXMAP_DIR)
	$(INSTALL) -g root -o root -m 644 data/conler-help.xml $(DST)/usr/share/osso-help/en_GB/conler.xml
	$(INSTALL) -g root -o root -m 644 data/conler.desktop $(DST)/usr/share/applications/hildon
	$(INSTALL) -g root -o root -m 644 data/com.thekondor.conler.service $(DST)/usr/share/dbus-1/services

deb: BUILD_DIR=/tmp/conler-$(shell /bin/date +%s)
deb: DEB_CONTROL=$(strip $(BUILD_DIR))/debian/control
deb:
	@/bin/cp -r $(shell /bin/pwd) $(BUILD_DIR)
	@/bin/find $(BUILD_DIR) -type d | /bin/grep '.svn$$' | /bin/xargs rm -rdf
	@/bin/echo "XB-Maemo-Icon-26:" >> $(DEB_CONTROL)
	@/usr/bin/openssl base64 < data/icons/26x26/conler.png | /usr/bin/sed -e 's/^/ /' >> $(DEB_CONTROL)
	@cd $(BUILD_DIR); dpkg-buildpackage -rfakeroot -uc -us -sa -D
	@echo
	@echo "*** INFO: Check /tmp out for the build .deb package"
	@/bin/rm -rdf $(BUILD_DIR)


.PHONY: clean
clean:
	@cd src; make clean

=== doc/Makefile ===

BUILDIR=$(shell /bin/pwd)/build
SPHINX=../3rd/sphinx/sphinx-build.py

.PHONY: doc
all: doc

doc:
	@mkdir -p $(BUILDIR)
	@$(SPHINX) -b htmlhelp -a -c _sphinx/ . $(BUILDIR)
	@/usr/bin/find $(BUILDIR) -name '*.hhc' -or -name '*.hhk' -or -name '*.hhp' -or -name '*.stp' | /usr/bin/xargs rm -f
	@mkdir $(BUILDIR)/recipes
	@/usr/bin/find recipes -name '*.sh' -or -name '*.py' | xargs -I '{}' cp '{}' $(BUILDIR)/recipes

final-doc:
	@


.PHONY: clean
clean:
	@/bin/rm -rdf $(BUILDIR)

=== src/Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 ifeq ($(shell /bin/grep RX /etc/osso_software_version | /usr/bin/wc -l), 1)
 	CFLAGS += -DMAEMO
 	COMMON_PKGS += libosso
-	GUI_PKGS += hildon-1 hildon-help
+	GUI_PKGS += hildon-1 hildon-help conic
 	CLI_PKGS = gconf-2.0
 endif
 COMMON_CFLAGS = $(shell /usr/bin/pkg-config --cflags $(COMMON_PKGS))

=== debian/changelog ===
conler (0.1.3.1) unstable; urgency=low

  * Unexpanded escaped (to octal sequences) unicode symbols in commands
    caused incorrect commant execution.
 
 -- Andrew Sichevoi <k@thekondor.net>  Thu, 17 Sep 2009 19:20:49 +0400

conler (0.1.3) unstable; urgency=low

  * Package:
     * Set 'user:users' permissions to ~/.config on install
  * Ability to switch command run mode: foreground/background (default: background)
  * GUI:
     * Drag'n'Drop support for AP and Command lists
     * Ability to select existent AP from the list on AP add/edit
     * Command suggestions pop-up on command add/edit

 -- Andrew Sichevoi <k@thekondor.net>  Mon,  9 Feb 2009 21:18:08 +0300

=== debian/control ===
Source: conler
Section: user/network
Priority: extra
Maintainer: Andrew Sichevoi <k@thekondor.net>
Build-Depends: debhelper (>= 5), libglib2.0-dev (>= 2.12.12), libxml2-dev (>= 2.6.27), libgtk2.0-dev (>= 2.10.12), libgconf2-dev (>= 2.6.10), libosso-dev (>= 2.13), libhildonhelp-dev (>= 1.9.6), libconic0-dev (>= 0.13)
Standards-Version: 3.7.2

Package: conler
Architecture: any
#Depends: libxml2 (>= 2.6.27), libglib2 (>= 2.12), libgtk2 (>= 2.10), libgconf2-6 (>= 2.16), libosso1 (>= 2.13)
Description: Wi-Fi connection handler
 Conler is a simple application which allow to
 configure a sequence of commands which will be
 executed on connections with Wi-Fi access points.
 .
 Conler provides user with a handy GUI tool
 to make such configuration easy. User is free
 to add unlimited number of rules for each Access Point.
 .
 Latest version can be found at http://thekondor.net/conler
 Bug-reports and suggestions please send to conler-maemo @ thekondor.net
Homepage: http://thekondor.net/conler
Bugs: mailto:conler-maemo@thekondor.net
XB-Maemo-Display-Name: Wi-Fi Connection Handler
